<?php

namespace Modules\Payment;

use Catch\Support\Module\Installer as ModuleInstaller;
use Modules\Payment\Providers\PaymentServiceProvider;

class Installer extends ModuleInstaller
{
    protected function info(): array
    {
        // TODO: Implement info() method.
        return [
            'title' => '支付管理',
            'name' => 'payment',
            'path' => 'payment',
            'keywords' => '支付管理',
            'description' => '支付管理模块',
            'provider' => PaymentServiceProvider::class
        ];
    }

    protected function requirePackages(): void
    {
        // TODO: Implement requirePackages() method.
    }

    protected function removePackages(): void
    {
        // TODO: Implement removePackages() method.
    }
}
